# added peer field 
# 0 = peering address
# 1 = other
# 15.10.2001 - added duration field (patch by kad@blackcatlinux.com)
# 08.01.2002 - added 3 new tables for compactnet logging and web interface
#	       traffic - netacct table for compactnet logging
#	       users - web interface user auth
#	       ipallow - global web interface ip auth
#	       logins - user logins to web interface
#	       by BASHbug
# 21.02.2002 - modify time field for save of date and time information 
# 	       

create database netacct;
use netacct;
grant usage on netacct.* to acct@localhost ;
grant select,update,insert on netacct.* to acct@localhost ;
SET PASSWORD FOR "acct"@"localhost"=PASSWORD("acct_password");

CREATE TABLE accounting (
   aid int(11) NOT NULL auto_increment,
   time time DEFAULT '00:00:00' NOT NULL,
   data date DEFAULT '0000-00-00' NOT NULL,
   duration int(12) DEFAULT '0' NOT NULL,
   protocol int(5) DEFAULT '0' NOT NULL,
   src_ip varchar(16) NOT NULL,
   src_port int(6) DEFAULT '0' NOT NULL,
   dst_ip varchar(16) NOT NULL,
   dst_port int(6) DEFAULT '0' NOT NULL,
   packet int(11) DEFAULT '0' NOT NULL,
   data_size int(11) DEFAULT '0' NOT NULL,
   user varchar(15) NOT NULL,
   device varchar(8) NOT NULL,
   peer int(1) DEFAULT '1',
   PRIMARY KEY (aid)
);

CREATE TABLE traffic (
  id int(11) unsigned NOT NULL auto_increment,
  ip varchar(15) NOT NULL default '',
  time datetime NOT NULL default '0000-00-00 00:00:00',
  input int(20) unsigned NOT NULL default '0',
  output int(20) unsigned NOT NULL default '0',
  peer_input int(20) unsigned NOT NULL default '0',
  peer_output int(20) unsigned NOT NULL default '0',
  direct_input int(20) unsigned NOT NULL default '0',
  direct_output int(20) unsigned NOT NULL default '0',
  local_input int(20) unsigned NOT NULL default '0',
  local_output int(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

